Page MenuHomePhabricator

[RISCV] Remove duplicated logic when determining the target ABI
ClosedPublic

Authored by rogfer01 on Jun 20 2018, 3:54 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

rogfer01 created this revision.Jun 20 2018, 3:54 AM
rogfer01 added inline comments.Jun 20 2018, 3:55 AM
lib/Driver/ToolChains/Arch/RISCV.cpp
381 ↗(On Diff #152051)

When 64-bit is upstreamed and lp64d implemented, I plan to default riscv64-unknown-linux-gnu to lp64d here.

Does this sound sensible?

@asb in D59298 I call riscv::getRISCVABI for ClangAs, does it make sense to make the same change for Clang here?

Thank you.

lenary added a subscriber: lenary.Aug 1 2019, 6:54 AM

Given we now have support for the floating-point ABIs, can you rebase and update this patch?

Hi @lenary, sure I can rebase this.

However, I think it may be better to do the lp64d change in another phab so we can keep this one NFC.

rogfer01 updated this revision to Diff 212970.Aug 1 2019, 11:18 PM

ChangeLog

  • Rebase change
lenary accepted this revision.Aug 2 2019, 2:19 AM

Ok, sure! I think I'm happy for this to land then.

This revision is now accepted and ready to land.Aug 2 2019, 2:19 AM

Thanks @lenary ! I will commit this shortly.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 7 2019, 12:08 AM